export interface MqttConfig {
    uri?: string;
    prefix?: string;
    subscriptions?: string[];
}
export interface HttpConfig {
    port?: number | null;
}
export interface ConfigVars<ServiceConfig> {
    configPath?: string;
    service?: ServiceConfig;
    mqtt?: MqttConfig;
    http?: HttpConfig;
}
export interface Config<ServiceConfig> {
    service: ServiceConfig;
    mqtt: Required<MqttConfig>;
    http: Required<HttpConfig>;
}
export declare function getConfig<ServiceConfig>(configVars?: ConfigVars<ServiceConfig>): Promise<Config<ServiceConfig>>;
