"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.startMqtt = void 0;
const mqtt_1 = __importDefault(require("mqtt"));
function startMqtt(config, logger) {
    logger.info("Connecting to " + config.uri);
    const client = mqtt_1.default.connect(config.uri);
    const mqtt = {
        connected: false,
        client,
    };
    client.on("connect", () => {
        logger.info("MQTT connected");
        mqtt.connected = true;
    });
    client.on("reconnect", () => {
        logger.info("MQTT reconnecting");
    });
    client.on("close", () => {
        mqtt.connected = false;
        logger.info("MQTT disconnected");
    });
    client.on("offline", () => {
        mqtt.connected = false;
        logger.info("MQTT offline");
    });
    client.on("end", () => {
        mqtt.connected = false;
        logger.info("MQTT end");
    });
    client.on("error", (err) => {
        logger.error("MQTT error", err);
        process.exit(1);
    });
    return mqtt;
}
exports.startMqtt = startMqtt;
//# sourceMappingURL=mqtt.js.map